RedHat: RHSA-2022-8524:01 Important: Red Hat Data Grid 8.4.0 securi...
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

=====================================================================
                   Red Hat Security Advisory

Synopsis:          Important: Red Hat Data Grid 8.4.0 security update
Advisory ID:       RHSA-2022:8524-01
Product:           Red Hat JBoss Data Grid
Advisory URL:      https://access.redhat.com/errata/RHSA-2022:8524
Issue date:        2022-11-17
CVE Names:         CVE-2022-0235 CVE-2022-23647 CVE-2022-24823 
                   CVE-2022-25857 CVE-2022-38749 CVE-2022-38750 
                   CVE-2022-38751 CVE-2022-38752 
=====================================================================

1. Summary:

An update for Red Hat Data Grid 8 is now available.
 
Red Hat Product Security has rated this update as having a security impact
of Important. A Common Vulnerability Scoring System (CVSS) base score,
which gives a detailed severity rating, is available for each vulnerability
from the CVE link(s) in the References section.

2. Description:

Red Hat Data Grid is an in-memory, distributed, NoSQL datastore solution.
It increases application response times and allows for dramatically
improving performance while providing availability, reliability, and
elastic scale.
 
Data Grid 8.4.0 replaces Data Grid 8.3.1 and includes bug fixes and
enhancements. Find out more about Data Grid 8.4.0 in the Release Notes[3].

Security Fix(es):

* prismjs: improperly escaped output allows a XSS (CVE-2022-23647)

* snakeyaml: Denial of Service due to missing nested depth limitation for
collections (CVE-2022-25857)

* node-fetch: exposure of sensitive information to an unauthorized actor
(CVE-2022-0235)

* netty: world readable temporary file containing sensitive data
(CVE-2022-24823)

* snakeyaml: Uncaught exception in
org.yaml.snakeyaml.composer.Composer.composeSequenceNode (CVE-2022-38749)

* snakeyaml: Uncaught exception in
org.yaml.snakeyaml.constructor.BaseConstructor.constructObject
(CVE-2022-38750)

* snakeyaml: Uncaught exception in
java.base/java.util.regex.Pattern$Ques.match (CVE-2022-38751)

* snakeyaml: Uncaught exception in java.base/java.util.ArrayList.hashCode
(CVE-2022-38752)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

3. Solution:

To install this update, do the following:
 
1. Download the Data Grid 8.4.0 Server patch from the customer portal[²].
2. Back up your existing Data Grid installation. You should back up
databases, configuration files, and so on.
3. Install the Data Grid 8.4.0 Server patch.
4. Restart Data Grid to ensure the changes take effect.

For more information about Data Grid 8.4.0, refer to the 8.4.0 Release
Notes[³]

4. Bugs fixed (https://bugzilla.redhat.com/):

2044591 - CVE-2022-0235 node-fetch: exposure of sensitive information to an unauthorized actor
2056643 - CVE-2022-23647 prismjs: improperly escaped output allows a XSS
2087186 - CVE-2022-24823 netty: world readable temporary file containing sensitive data
2126789 - CVE-2022-25857 snakeyaml: Denial of Service due to missing nested depth limitation for collections
2129706 - CVE-2022-38749 snakeyaml: Uncaught exception in org.yaml.snakeyaml.composer.Composer.composeSequenceNode
2129707 - CVE-2022-38750 snakeyaml: Uncaught exception in org.yaml.snakeyaml.constructor.BaseConstructor.constructObject
2129709 - CVE-2022-38751 snakeyaml: Uncaught exception in java.base/java.util.regex.Pattern$Ques.match
2129710 - CVE-2022-38752 snakeyaml: Uncaught exception in java.base/java.util.ArrayList.hashCode

5. References:

https://access.redhat.com/security/cve/CVE-2022-0235
https://access.redhat.com/security/cve/CVE-2022-23647
https://access.redhat.com/security/cve/CVE-2022-24823
https://access.redhat.com/security/cve/CVE-2022-25857
https://access.redhat.com/security/cve/CVE-2022-38749
https://access.redhat.com/security/cve/CVE-2022-38750
https://access.redhat.com/security/cve/CVE-2022-38751
https://access.redhat.com/security/cve/CVE-2022-38752
https://access.redhat.com/security/updates/classification/#important
https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=70381&product=data.grid&version=8.4&downloadType=patches
https://access.redhat.com/documentation/en-us/red_hat_data_grid/8.4/html-single/red_hat_data_grid_8.4_release_notes/index

6. Contact:

The Red Hat security contact is . More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIVAwUBY3aDp9zjgjWX9erEAQguCQ/+OYKKaLAAtbNiCNTq3llsyPpuRIEQFoK/
tAgdAwRlSYz3Cwyx9tEMKND3UdoYlncZgepk/slYEBURSYiZygSRUXy7z2ZqOpQP
IReuW55RqG2x6v1BAr4I2NruG/8wi0k6QxeBrl48PYtiq19LT4aAb4tZJ1VKhTQX
LCWncEs+xxRpqRLFSQT7IMRekkOcUmo2lxls4exjpPgOBtHvGiuppXFK1Um7eh6i
Gl5icTyhrxtHeAkWsEN0/K6akPHsWYr/mM7BFOpVE5LIa00TFJ9g0wxHg/qVNEh5
2i8sWjz0mybc6rNUvYoa3vsx88x8ASD/rH/qrqRkqcNwiOzuQD3B4843eXxPQSS6
dRre/qbUQQuz/PatKPFtBqAzQlXVwR29fOJcV74G6kY2/37+5d4GCfU5AcgRzAVn
1fQElIcjM8/0mn9+65JoDNoEA8k8BbJyb9+jMTvPeu5AkalTp5wkYO78mjRVDba+
g1Rhz4Ewo6KTxr5K7txFi0ukoc9P/Li5Tbp2Q8+a9bvMnggDZZyU1PXWtLCkC9kD
vqbue19Z8TfqoX1WDL/T0o4Go6KWaQBbH6FoP10o2rfcvn13QeiIw9kImQ99qGap
75uV9D2R7TWPBm843qBta57MuUO1uaZDOUlk+8V0+5sNN4SKRUZIoGnDT29WVS+U
pdFf1sazxWU=
=m90N
-----END PGP SIGNATURE-----
--
RHSA-announce mailing list
[email protected]
https://listman.redhat.com/mailman/listinfo/rhsa-announce

RedHat: RHSA-2022-8524:01 Important: Red Hat Data Grid 8.4.0 security update

An update for Red Hat Data Grid 8 is now available

Summary

Red Hat Data Grid is an in-memory, distributed, NoSQL datastore solution. It increases application response times and allows for dramatically improving performance while providing availability, reliability, and elastic scale.
Data Grid 8.4.0 replaces Data Grid 8.3.1 and includes bug fixes and enhancements. Find out more about Data Grid 8.4.0 in the Release Notes[3].
Security Fix(es):
* prismjs: improperly escaped output allows a XSS (CVE-2022-23647)
* snakeyaml: Denial of Service due to missing nested depth limitation for collections (CVE-2022-25857)
* node-fetch: exposure of sensitive information to an unauthorized actor (CVE-2022-0235)
* netty: world readable temporary file containing sensitive data (CVE-2022-24823)
* snakeyaml: Uncaught exception in org.yaml.snakeyaml.composer.Composer.composeSequenceNode (CVE-2022-38749)
* snakeyaml: Uncaught exception in org.yaml.snakeyaml.constructor.BaseConstructor.constructObject (CVE-2022-38750)
* snakeyaml: Uncaught exception in java.base/java.util.regex.Pattern$Ques.match (CVE-2022-38751)
* snakeyaml: Uncaught exception in java.base/java.util.ArrayList.hashCode (CVE-2022-38752)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section.

Solution

To install this update, do the following:

1. Download the Data Grid 8.4.0 Server patch from the customer portal[²].2. Back up your existing Data Grid installation. You should back updatabases, configuration files, and so on.3. Install the Data Grid 8.4.0 Server patch.4. Restart Data Grid to ensure the changes take effect.For more information about Data Grid 8.4.0, refer to the 8.4.0 ReleaseNotes[³]

References

https://access.redhat.com/security/cve/CVE-2022-0235 https://access.redhat.com/security/cve/CVE-2022-23647 https://access.redhat.com/security/cve/CVE-2022-24823 https://access.redhat.com/security/cve/CVE-2022-25857 https://access.redhat.com/security/cve/CVE-2022-38749 https://access.redhat.com/security/cve/CVE-2022-38750 https://access.redhat.com/security/cve/CVE-2022-38751 https://access.redhat.com/security/cve/CVE-2022-38752 https://access.redhat.com/security/updates/classification/#important https://access.redhat.com/jbossnetwork/restricted/softwareDetail.html?softwareId=70381&product=data.grid&version=8.4&downloadType=patches https://access.redhat.com/documentation/en-us/red_hat_data_grid/8.4/html-single/red_hat_data_grid_8.4_release_notes/index

Package List

Severity
Advisory ID: RHSA-2022:8524-01
Product: Red Hat JBoss Data Grid
Advisory URL: https://access.redhat.com/errata/RHSA-2022:8524
Issued Date: : 2022-11-17
CVE Names: CVE-2022-0235 CVE-2022-23647 CVE-2022-24823 CVE-2022-25857 CVE-2022-38749 CVE-2022-38750 CVE-2022-38751 CVE-2022-38752

Topic

An update for Red Hat Data Grid 8 is now available.

Red Hat Product Security has rated this update as having a security impactof Important. A Common Vulnerability Scoring System (CVSS) base score,which gives a detailed severity rating, is available for each vulnerabilityfrom the CVE link(s) in the References section.

Relevant Releases Architectures

Bugs Fixed

2044591 - CVE-2022-0235 node-fetch: exposure of sensitive information to an unauthorized actor

2056643 - CVE-2022-23647 prismjs: improperly escaped output allows a XSS

2087186 - CVE-2022-24823 netty: world readable temporary file containing sensitive data

2126789 - CVE-2022-25857 snakeyaml: Denial of Service due to missing nested depth limitation for collections

2129706 - CVE-2022-38749 snakeyaml: Uncaught exception in org.yaml.snakeyaml.composer.Composer.composeSequenceNode

2129707 - CVE-2022-38750 snakeyaml: Uncaught exception in org.yaml.snakeyaml.constructor.BaseConstructor.constructObject

2129709 - CVE-2022-38751 snakeyaml: Uncaught exception in java.base/java.util.regex.Pattern$Ques.match

2129710 - CVE-2022-38752 snakeyaml: Uncaught exception in java.base/java.util.ArrayList.hashCode

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.